GanttControl.GanttColumnEditor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.client
Class GanttControl.GanttColumnEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          org.openswing.swing.gantt.client.GanttControl.GanttColumnEditor

All Implemented Interfaces:
  javax.swing.CellEditor, org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback, java.io.Serializable, javax.swing.table.TableCellEditor

Enclosing class:
  GanttControl

public class GanttControl.GanttColumnEditor
extends javax.swing.AbstractCellEditor
implements javax.swing.table.TableCellEditor, org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback

Title: OpenSwing Framework

Description: Column editor used to resize the gantt bar.

Copyright: Copyright (C) 2006 Mauro Carniel

See Also:
  Serialized Form

Constructor Summary
`GanttControl.GanttColumnEditor()`

Method Summary
`java.lang.Object` | `getCellEditorValue()`
`Appointment` | `getLastAppointment()`
`java.lang.String` | `getLastDescr()`
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
`void` | `setLastAppointment(Appointment appointment)`
`void` | `setLastDescr(java.lang.String lastDescr)`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### GanttControl.GanttColumnEditor

    public GanttControl.GanttColumnEditor()

Method Detail

### setLastDescr

    public void setLastDescr(java.lang.String lastDescr)

  Specified by:
    `setLastDescr` in interface `org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback`

### getLastDescr

    public java.lang.String getLastDescr()

  Specified by:
    `getLastDescr` in interface `org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback`

### setLastAppointment

    public void setLastAppointment(Appointment appointment)

  Specified by:
    `setLastAppointment` in interface `org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback`

### getLastAppointment

    public Appointment getLastAppointment()

  Specified by:
    `getLastAppointment` in interface `org.openswing.swing.gantt.client.GanttControl.OldAppointmentCallback`

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD